# Class: MaxLineLength

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/max_line_length.coffee

## Variables Summary

rule =

      {
        name: 'max_line_length',
        value: 80,
        level: 'error',
        limitComments: true,
        message: 'Line exceeds maximum allowed length',
        description: "This rule imposes a maximum line length on your code. <a\nhref=\"http://www.python.org/dev/peps/pep-0008/\">Python's style\nguide</a> does a good job explaining why you might want to limit the\nlength of your lines, though this is a matter of taste.\n\nLines can be no longer than eighty characters by default."
      }

## Instance Method Summary

- # (void) lintLine(line, lineApi)

## Instance Method Details

# (void) lintLine(line, lineApi)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input